[systemd-commits] src/kernel-install
Tom Gundersen
tomegun at kemper.freedesktop.org
Fri Sep 27 06:55:21 PDT 2013
src/kernel-install/90-loaderentry.install | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
New commits:
commit 8b179a830a789746cce0be6671e2de235e3b0ea9
Author: Tom Gundersen <teg at jklm.no>
Date: Wed Sep 25 22:58:00 2013 +0200
kernel-install: avoid using 'cp --preserve'
Force 0644 and root:root instead, to avoid problems with fat filesystems.
diff --git a/src/kernel-install/90-loaderentry.install b/src/kernel-install/90-loaderentry.install
index 6b91d1c..a6a8abc 100644
--- a/src/kernel-install/90-loaderentry.install
+++ b/src/kernel-install/90-loaderentry.install
@@ -59,7 +59,9 @@ if ! [[ ${BOOT_OPTIONS[*]} ]]; then
exit 1
fi
-cp --preserve "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" || {
+cp "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" &&
+ chown root:root "$BOOT_DIR_ABS/linux" &&
+ chmod 0644 "$BOOT_DIR_ABS/linux" || {
echo "Could not copy '$KERNEL_IMAGE to '$BOOT_DIR_ABS/linux'." >&2
exit 1
}
More information about the systemd-commits
mailing list